Changes in / [325:0fbbb4bc42dd:331:2f5c0c42a5cd] in lemon-main
- Files:
-
- 4 edited
Legend:
- Unmodified
- Added
- Removed
-
lemon/bfs.h
r301 r329 52 52 ///Instantiates a PredMap. 53 53 54 ///This function instantiates a PredMap. 54 ///This function instantiates a PredMap. 55 55 ///\param g is the digraph, to which we would like to define the 56 56 ///PredMap. … … 81 81 ///The type of the map that indicates which nodes are reached. 82 82 83 ///The type of the map that indicates which nodes are reached. 84 ///It must meet the \ref concepts::ReadWriteMap "ReadWriteMap" concept. 83 ///The type of the map that indicates which nodes are reached.///It must meet the \ref concepts::ReadWriteMap "ReadWriteMap" concept. 85 84 typedef typename Digraph::template NodeMap<bool> ReachedMap; 86 85 ///Instantiates a ReachedMap. -
lemon/list_graph.h
r313 r329 841 841 842 842 public: 843 operator Edge() const { 844 return id != -1 ? edgeFromId(id / 2) : INVALID; 843 operator Edge() const { 844 return id != -1 ? edgeFromId(id / 2) : INVALID; 845 845 } 846 846 -
lemon/smart_graph.h
r313 r329 465 465 466 466 public: 467 operator Edge() const { 468 return _id != -1 ? edgeFromId(_id / 2) : INVALID; 467 operator Edge() const { 468 return _id != -1 ? edgeFromId(_id / 2) : INVALID; 469 469 } 470 470 -
scripts/unify-sources.sh
r325 r331 89 89 if ! diff -q $1 $2 >/dev/null 90 90 then 91 echo -n " [$3 failed]" 91 echo 92 echo -n " $3 failed at line(s): " 93 echo -n $(diff $1 $2 | grep '^[0-9]' | sed "s/^\(.*\)c.*$/ \1/g" | 94 sed "s/,/-/g" | paste -s -d',') 92 95 FAILED=YES 93 96 fi … … 95 98 96 99 function check_warning() { 97 echo -n " [$2 warning]" 100 echo 101 if [ "$2" == 'long lines' ] 102 then 103 echo -n " $2 warning at line(s): " 104 echo -n $(grep -n -E '.{81,}' $1 | sed "s/^\([0-9]*\)/ \1\t/g" | 105 cut -f 1 | paste -s -d',') 106 else 107 echo -n " $2 warning" 108 fi 98 109 WARNED=YES 99 110 } … … 213 224 cat $1 | sed -e 's/ \+$//g' >$TMP_FILE 214 225 215 "$ACTION"_action "$TMP_FILE" "$1" ' spaces'226 "$ACTION"_action "$TMP_FILE" "$1" 'trailing spaces' 216 227 } 217 228 … … 226 237 227 238 function process_file() { 228 echo -n " $ACTION " $1...239 echo -n " $ACTION $1..." 229 240 230 241 CHECKING="header tabs spaces long_lines" … … 266 277 Make all warnings into errors. 267 278 --all|-a 268 All files in the repository will be checked.279 Check all source files in the repository. 269 280 --modified|-m 270 281 Check only the modified (and new) source files. This option is … … 282 293 Print this help message. 283 294 files 284 The files to check/unify. If no file names are given, the 285 modified source will be checked/unified286 295 The files to check/unify. If no file names are given, the modified 296 source files will be checked/unified (just like using the 297 --modified|-m option). 287 298 " 288 299 exit 0 289 300 elif [ "$1" == '--dry-run' ] || [ "$1" == '-n' ] 290 301 then 291 [ -n "$ACTION" ] && echo " Invalid option $1" >&2 && exit 1302 [ -n "$ACTION" ] && echo "Conflicting action options" >&2 && exit 1 292 303 ACTION=check 293 304 elif [ "$1" == "--all" ] || [ "$1" == '-a' ] 294 305 then 295 [ -n "$FILES" ] && echo " Invalid option $1" >&2 && exit 1306 [ -n "$FILES" ] && echo "Conflicting target options" >&2 && exit 1 296 307 FILES=all_files 297 308 elif [ "$1" == "--changed" ] || [ "$1" == '-c' ] 298 309 then 299 [ -n "$FILES" ] && echo " Invalid option $1" >&2 && exit 1310 [ -n "$FILES" ] && echo "Conflicting target options" >&2 && exit 1 300 311 FILES=changed_files 301 312 elif [ "$1" == "--modified" ] || [ "$1" == '-m' ] 302 313 then 303 [ -n "$FILES" ] && echo " Invalid option $1" >&2 && exit 1314 [ -n "$FILES" ] && echo "Conflicting target options" >&2 && exit 1 304 315 FILES=modified_files 305 316 elif [ "$1" == "--interactive" ] || [ "$1" == "-i" ] 306 317 then 307 [ -n "$WARNING" ] && echo " Invalid option $1" >&2 && exit 1318 [ -n "$WARNING" ] && echo "Conflicting warning options" >&2 && exit 1 308 319 WARNING='INTERACTIVE' 309 320 elif [ "$1" == "--werror" ] || [ "$1" == "-w" ] 310 321 then 311 [ -n "$WARNING" ] && echo " Invalid option $1" >&2 && exit 1322 [ -n "$WARNING" ] && echo "Conflicting warning options" >&2 && exit 1 312 323 WARNING='WERROR' 313 elif [ $(echo $1 | cut -c 1) == '-' ]324 elif [ $(echo x$1 | cut -c 2) == '-' ] 314 325 then 315 326 echo "Invalid option $1" >&2 && exit 1
Note: See TracChangeset
for help on using the changeset viewer.